RFR: Bug Pending: Build fails to compile jchuff.c

John Paul Adrian Glaubitz glaubitz at physik.fu-berlin.de
Tue Jan 23 13:52:04 UTC 2018


On 01/23/2018 02:44 PM, Adam Farley8 wrote:
> John: I read your email, and I understand your position. I disagree with it,
> but I understand it. 4.8.5 is an old version of gcc, but right now it is the
> listed gcc version for SUSE sles on intel, ppc, ppcle, and zLinux. Even if
> this is not the case for JDK 10 or 11, we should ensure this fix is fully
> propagated to ensure consistent behaviour.
> 
> That is my position.
I happen to work at SUSE. And while you're right that SLE-12:GA is on gcc
4.8.x, SLE-12 doesn't have openjdk-9 or openjdk-10 or even -11 in its
update repositories (looking at the internal SUSE build system at the moment).

openjdk-9 is part of SLE-15:GA which itself ships gcc-7.

So, what exactly is the usecase for OpenJDK-9, 10 and 11?

Adrian

-- 
  .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz at debian.org
`. `'   Freie Universitaet Berlin - glaubitz at physik.fu-berlin.de
   `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913


More information about the build-dev mailing list